### Method

# GtkSource MarkAttributes get_tooltip_markup

#### Declaration [src]

    gchar*
    gtk_source_mark_attributes_get_tooltip_markup (
      GtkSourceMarkAttributes* attributes,
      GtkSourceMark* mark
    )

#### Description [src]

Queries for a tooltip by emitting a `GtkSourceMarkAttributes::query-tooltip-markup` signal.

The tooltip may contain a markup.

#### Parameters

`mark`

  Type: `GtkSourceMark`

  A `GtkSourceMark`.

  The data is owned by the caller of the method.

#### Return value

Type: `gchar*`

A tooltip. The returned string should be freed by using `g_free()` when done with it.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.